> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List triggers

> Return a paginated list of triggers. Supports filtering by `activation` and `eventType`, free-text `search`, and ordering by name, createdAt, or updatedAt.



## OpenAPI

````yaml /api-reference/workflows.yaml get /triggers
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /triggers:
    get:
      tags:
        - Triggers
      summary: List triggers
      description: >-
        Return a paginated list of triggers. Supports filtering by `activation`
        and `eventType`, free-text `search`, and ordering by name, createdAt, or
        updatedAt.
      operationId: listTriggers
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            enum:
              - event
              - schedule
              - custom
          required: false
          name: activation
          in: query
        - schema:
            type: string
          required: false
          name: eventType
          in: query
        - schema:
            type: string
            maxLength: 256
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - name
              - createdAt
              - updatedAt
            default: createdAt
          required: false
          name: orderBy
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          required: false
          name: orderByDirection
          in: query
      responses:
        '200':
          description: List triggers
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/Trigger'
                        - properties:
                            id:
                              type: string
                              format: uuid
                            userId:
                              type: string
                              format: uuid
                              description: >-
                                Deprecated: use ownerId (tenancy) / createdBy
                                (actor).
                              deprecated: true
                            ownerId:
                              type: string
                              format: uuid
                            createdBy:
                              type:
                                - string
                                - 'null'
                              format: uuid
                            name:
                              type: string
                            description:
                              type:
                                - string
                                - 'null'
                            activation:
                              type: string
                              enum:
                                - event
                                - schedule
                                - custom
                            scheduleRule:
                              allOf:
                                - $ref: '#/components/schemas/ScheduleRule'
                                - type:
                                    - object
                                    - 'null'
                            timezone:
                              type:
                                - string
                                - 'null'
                            nextFireTime:
                              type:
                                - string
                                - 'null'
                            eventType:
                              type:
                                - string
                                - 'null'
                            conditions: {}
                            customPayloadSchema:
                              type:
                                - object
                                - 'null'
                              additionalProperties: {}
                            createdAt:
                              type:
                                - string
                                - 'null'
                            updatedAt:
                              type:
                                - string
                                - 'null'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - items
                  - pagination
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const triggers = await client.workflows.triggers.list();

            console.log(triggers.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            triggers = client.workflows.triggers.list()
            print(triggers.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttriggers, err := client.Workflows.Triggers.List(context.TODO(), mobileruncloud.WorkflowTriggerListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", triggers.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:triggers list \
              --api-key 'My API Key'
components:
  schemas:
    Trigger:
      type: object
      properties:
        id:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
          description: 'Deprecated: use ownerId (tenancy) / createdBy (actor).'
          deprecated: true
        ownerId:
          type: string
          format: uuid
        createdBy:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        activation:
          type: string
          enum:
            - event
            - schedule
            - custom
        scheduleRule:
          $ref: '#/components/schemas/ScheduleRule'
        timezone:
          type:
            - string
            - 'null'
        nextFireTime:
          type:
            - string
            - 'null'
        eventType:
          type:
            - string
            - 'null'
        conditions: {}
        customPayloadSchema:
          type:
            - object
            - 'null'
          additionalProperties: {}
        createdAt:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - userId
        - ownerId
        - createdBy
        - name
        - description
        - activation
        - scheduleRule
        - timezone
        - eventType
        - customPayloadSchema
        - createdAt
        - updatedAt
    ScheduleRule:
      type: object
      properties:
        type:
          type: string
          enum:
            - once
            - cron
            - recurring
        dateTime:
          type: string
          description: ISO 8601 datetime (for type=once)
        expression:
          type: string
          description: Cron expression (for type=cron)
        rrule:
          type: string
          description: RRULE string (for type=recurring)
      required:
        - type
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````